# Copyright © 2021 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

DESCRIPTION="A useful set of widgets for creating GUIs for GTK+"
HOMEPAGE="http://gtkextra.sourceforge.net"
SRC_URI="mirror://sourceforge/$PN/$P.tar.gz"

LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc +introspection"

DEPEND="introspection? ( dev-libs/gobject-introspection:= )
	x11-libs/gtk+:2"
RDEPEND=$DEPEND

src_configure () {
	args=(
		$(use_enable introspection)
		--disable-glade
		)

	econf "${args[@]}"
}
